CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers

INTRODUCTION
------------
The Role Revocation module automates the process of revoking user roles based on their inactivity. It uses node revision data to determine whether users have edited content within a specified time threshold.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/role_revocation

 * To submit bug reports and feature suggestions, or track changes:
   https://www.drupal.org/project/issues/role_revocation

REQUIREMENTS
------------
 * Drupal 10
 * Revocation is based on node revision data. Therefore it's required to have node revisioning on.

 INSTALLATION
------------

 * Install as you would normally install a contributed Drupal module. Visit
   https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules
   for further information.

CONFIGURATION
-------------

 1. Access configuration: Navigate to `Configuration -> People -> Role revocation settings`.
 2. Enable cron: Check the box to enable the revocation process via cron.
 3. Set roles to revoke: Select the roles that should be revoked if the user is inactive.
 4. Define privileged roles: Select roles that should always retain their assigned roles.
 5. Set expiration threshold: Enter the number of days of inactivity after which roles should be revoked.

Once configured, the module will use the defined settings to check for inactive users and revoke roles as necessary. You can also manually trigger the process by running the Drush command `role_revocation:revoke`.

MAINTAINERS
-----------

Current maintainer:
 * [Ville Pesonen (pesonenv)](https://www.drupal.org/u/pesonenv)
 * [Jukka Huhta (jhuhta)](https://www.drupal.org/u/jhuhta)

Development of the first version was funded by:

 * [Aalto University](https://www.aalto.fi/en)
